summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gnome-extra/gnome-shell-extension-dash-to-panel/Manifest1
-rw-r--r--gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-23.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest b/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
index d712c33af86..976a8f72c19 100644
--- a/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
+++ b/gnome-extra/gnome-shell-extension-dash-to-panel/Manifest
@@ -1,2 +1,3 @@
DIST gnome-shell-extension-dash-to-panel-19.tar.gz 21031128 BLAKE2B f2df2fa7f4967b03cb99e86740f0738ec805427ef13d7dd1e86296b4ffd1dd2a154ffb7eb8c6a36a8d589b16635fe8f608182ebc11f2708eb1436bdf72097b01 SHA512 f5ab8d5aa397dbf4a7fc5d9e4584016fc5382c026cef6f58649923edf28f0c1f46cb1ec6ff32466ee4cb84b6b0ed30eac1b1924608ad02f34b1c24ec7bb91635
DIST gnome-shell-extension-dash-to-panel-21.tar.gz 21070712 BLAKE2B fce542d0196ea70092ed631263757758584c6c816eb357b78d459187406f7bdd7b2343115558e9aaa973e41540e326fceb7b812c25ffcd0a0423dc4ec7da445f SHA512 2ae89a2d30edc3009b6332df4ed510c8c1581716c1a7635814d8c8c019378bd28aadbeb07c6e73cb18219dd74b3e74367aacb54853c079887f76633d1d7cb1b7
+DIST gnome-shell-extension-dash-to-panel-23.tar.gz 21075058 BLAKE2B 66a48a2ca1379fb423fbd55e68b13dc8e649aceb89676d80893b56e6bda860937946bc981bca110634c975c8712378e5dbdc67f5749a4f5aa70622b75304b71b SHA512 0f8ea1b5b92213046195e88cd6433f15cf05d73712c88def4ffcfe43e75e8fad11df5a25a2b4e2ace9ac0e4b56c151e20931cfa233c39589ee33d1fec1a8499a
diff --git a/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-23.ebuild b/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-23.ebuild
new file mode 100644
index 00000000000..853e1e9bd64
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-dash-to-panel/gnome-shell-extension-dash-to-panel-23.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome2-utils
+
+MY_PN="${PN/gnome-shell-extension-/}"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="An icon taskbar for the Gnome Shell"
+HOMEPAGE="https://github.com/home-sweet-gnome/dash-to-panel"
+SRC_URI="https://github.com/home-sweet-gnome/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="dev-libs/glib:2"
+RDEPEND="${COMMON_DEPEND}
+ app-eselect/eselect-gnome-shell-extensions
+ >=gnome-base/gnome-shell-3.18.0
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND="
+ dev-util/intltool
+ sys-devel/gettext
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+
+ # Set correct version
+ export VERSION="${PV}"
+
+ # Don't install README and COPYING in unwanted locations
+ sed -i -e 's/COPYING//g' -e 's/README.md//g' Makefile || die
+}
+
+pkg_preinst() {
+ gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+ gnome2_schemas_update
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+}
+
+pkg_postrm() {
+ gnome2_schemas_update
+}